package com.ruoyi.system.domain.house.vo;

import com.ruoyi.common.core.page.PageDomain;
import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class HouseResourcePageQuery extends PageDomain {

    private String two;

    private String three;

    private String four;

    private Integer houseResourceAttribute;

    private String sortWay;

    private Integer wgType;

    private Integer hireStatus;

    private String houseNumber;

    private BigDecimal houseAreaMin = BigDecimal.ZERO;

    private BigDecimal houseAreaMax = new BigDecimal(9999999);

    private Integer houseResourceType;

    private BigDecimal yearSellMin;

    private BigDecimal yearSellMax;

    private List<String> wgCodes;

    private String name;

    private boolean zlFlag;

    private boolean zyFlag;

    private boolean qtFlag;

    private boolean zaiyingFlag;

    private boolean xzFlag;

    private boolean gkFlag;

    private boolean zyzyFlag;

    private String fourOrHouseNumber;

    private BigDecimal dayPriceMin;

    private BigDecimal dayPriceMax;

    private BigDecimal yearTaxMin;

    private BigDecimal yearTaxMax;

    private BigDecimal unitPriceMin;

    private BigDecimal unitPriceMax;

    private Boolean gsFlag;

    private String industryClassification;

    private String incomeSort;

    private Integer year;

    private Integer registrationPlaceFlag;

    private List<AiQuery> aiQueries;

    @Data
    public static class AiQuery {

        private String two;

        private String three;

        private String four;

        private Integer wgType;
    }
}
